toolzerhub API Docs

Search Instagram top media by keyword

Searches public Instagram media for required keyword and returns top posts plus related keywords. media_count and related_keywords_count set result sizes; cursor pages.

1 credit / requestBilled only on success
GET
/v1/instagram/search/top

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

keyword*string

Keyword or hashtag text to search public media for.

Length1 <= length
media_count?integer
Range1 <= value <= 50
Default12
related_keywords_count?|

Number of related keyword suggestions to return, 0-50.

Range0 <= value <= 50
Default10
include_description?boolean

Whether to include a short topic description for the keyword.

Defaulttrue
cursor?string

Pass the previous response's page_info.end_cursor value.

curl -X GET "https://example.com/v1/instagram/search/top?keyword=travel" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "items": [      {        "property1": null,        "property2": null      }    ],    "related_keywords": [      "string"    ],    "description": "string",    "page_info": {      "end_cursor": "string",      "has_next_page": true,      "property1": null,      "property2": null    },    "property1": null,    "property2": null  }}